function val = get(a, propName)
% GET Get RigidBody properties from the specified object
% and return the value
switch propName
   case 'name'
      val = a.name; 
   case 'dof'
      val = a.dof;    
   case 'I'
      val = a.I;
   case 'mass'
      val = a.mass;
   case 'disp'
      val = a.disp;
   case 'xG'
      val = a.xG;
   case 'xB'
      val = a.xB;
   case 'S'
      val = a.S;
   case 'S11'
      val = a.S11;
   case 'S22'
      val = a.S22;
      
   case 'dt'
      val = a.dt;
   case 't'
      val = a.t; 
   
   case 'N'
      val = a.N;   
      
   case 'mu_inf'
      val = a.mu_inf;     

   case 'sv'
      val = a.sv;      
      
      
   case 'x0'
      val = a.x0;
   case 'x'
      val = a.x;
   case 'xdot'
      val = a.xdot;
   case 'xddot'
      val = a.xddot;       
   case 'g'
      val = a.g;
   case 'rho'
      val = a.rho;
      
   case 'Fixed'
      val = a.Fixed;
      
   case 'n_Forces'
      val = a.n_Forces;
   case 'ForceFcns'
      val = a.ForceFcns;
   case 'Forces'
      val = a.Forces;
 
   case 'Length'   
      val = a.Length;
      
   case 'Area'   
      val = a.Area;
   case 'AreaW'
      val = a.AreaW;   
      
   case 'Cd'
      val = a.Cd;   

   case 'CdW'
      val = a.CdW;
   
        
otherwise
   error([propName,' Is not a valid RigidBody property'])
end